System.ServiceModel 4.0.0.0 System.IdentityModel.Selectors.SecurityTokenManager

This class handles security token serialization, security token provision and security token authentication for the client. There is one instance of this class for each client channel factory.

Manages security tokens for the client.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.Description.ClientCredentials To be added.

  The object allows the user to configure client credentials to be used for authentication to the service.

  Gets the client credentials.

- Method
  4.0.0.0
  System.IdentityModel.Selectors.SecurityTokenAuthenticator `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.IdentityModel.Selectors.SecurityTokenProvider `` To be added.

  The class is responsible for obtaining tokens for a given . Optionally token providers support renewing and canceling tokens as well.

  Creates a security token provider.

  The object.

- Method
  4.0.0.0
  System.IdentityModel.Selectors.SecurityTokenSerializer ``

  The is used to write and read security tokens, security key identifiers, and security key identifier clauses. When deserializing the token from XML, the returned token must be able to perform cryptographic operations. The token serializer therefore must ensure the deserialized token can perform cryptographic operations (Kerberos ticket processing, X.509 decoding, SAML decoding and other operations) but should defer application trust decisions to the security token authenticator.

  Creates a security token serializer.

  The object.

  The of the security token.
- Method
  4.0.0.0
  System.IdentityModel.Selectors.SecurityTokenSerializer ``

  The is used to write and read security tokens, security key identifiers and security key identifier clauses. When deserializing the token from XML, the returned token must be able to perform cryptographic operations. The token serializer therefore must ensure the deserialized token can perform cryptographic operations (Kerberos ticket processing, X.509 decoding, SAML decoding and other operations) but should defer application trust decisions to the security token authenticator.

  Creates a security token serializer.

  The object.

  The of the security token.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Gets a value that indicates whether the specified token requirement is an issued security token requirement.

  true if the specified token requirement is an issued security token requirement; otherwise, false. The default is false.

  The .